Subject: Re: bug#79056: tab-bar-tests-quit-restore-window sometimes fails in *compilation* buffer

From: Michael Albinus <[email-masked]>
Date: Wed, 23 Jul 2025 16:46:05 +0200

Juri Linkov <[email-masked]> writes:

Hi Juri,

> Automatic tests on EMBA can't be interactive without headless mode.
> So what remains to do is to manually run interactive tests locally.
> But IIUC `make -C test tab-bar-tests` is noninteractive.
> And I don't know what command line could run them interactively,
> so that tests could pop up X frames, etc.

See test/README:

--8<---------------cut here---------------start------------->8---
The tests are run in batch mode by default; sometimes it's useful to
get precisely the same environment but run in interactive mode for
debugging.  To do that, use

    make TEST_INTERACTIVE=yes ...
--8<---------------cut here---------------end--------------->8---

(I haven't used this for years, so I don't know whether it still works)

Best regards, Michael.